MetalComboBoxEditor (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalComboBoxEditor
Keywords: javax.swing.plaf.metal.MetalComboBoxEditor class

# Class MetalComboBoxEditor

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
javax.swing.plaf.metal.MetalComboBoxEditor

All Implemented Interfaces:
  `FocusListener`, `EventListener`, `ComboBoxEditor`

Direct Known Subclasses:
  `MetalComboBoxEditor.UIResource`

public class MetalComboBoxEditor extends BasicComboBoxEditor
The default editor for Metal editable combo boxes

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MetalComboBoxEditor.UIResource`
  A subclass of BasicComboBoxEditor that implements UIResource.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Insets`
  `editorBorderInsets`
  The default editor border `Insets`.

  ### Fields declared in class javax.swing.plaf.basic.BasicComboBoxEditor

  `editor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalComboBoxEditor()`
  Constructs a new instance of `MetalComboBoxEditor`.

- ## Method Summary

  ### Methods declared in class javax.swing.plaf.basic.BasicComboBoxEditor

  `addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### editorBorderInsets

    protected static Insets editorBorderInsets
    The default editor border `Insets`. This field might not be used.

- ## Constructor Details

  - ### MetalComboBoxEditor

    public MetalComboBoxEditor()
    Constructs a new instance of `MetalComboBoxEditor`.